Name:           perl-JSON-Pointer
Version:        0.06
Release:        2%{?dist}
Summary:        Perl implementation of JSON Pointer
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/JSON-Pointer/
Source0:        http://www.cpan.org/authors/id/Z/ZI/ZIGOROU/JSON-Pointer-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Module::Build) >= 0.38
BuildRequires:  perl(strict)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(B)
BuildRequires:  perl(Carp) >= 1.20
BuildRequires:  perl(Class::Accessor::Lite) >= 0.05
BuildRequires:  perl(Clone) >= 0.36
BuildRequires:  perl(Exporter)
BuildRequires:  perl(JSON) >= 2.53
BuildRequires:  perl(overload)
BuildRequires:  perl(URI::Escape) >= 3.31
# Tests:
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.98
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) >= 1.20
Requires:       perl(Class::Accessor::Lite) >= 0.05
Requires:       perl(Clone) >= 0.36
Requires:       perl(JSON) >= 2.53
Requires:       perl(URI::Escape) >= 3.31

# Filter under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Carp|Class::Accessor::Lite|Clone|JSON|URI::Escape)\\)$

%description
This library is implemented JSON Pointer draft version 9
<http://tools.ietf.org/html/draft-ietf-appsawg-json-pointer-09> and some
useful operators from JSON Patch draft version 10
<http://tools.ietf.org/html/draft-ietf-appsawg-json-patch-10>. JSON Pointer is
available to identify a specified value, and it is similar to XPath. Please
see the both of specifications for details.

%prep
%setup -q -n JSON-Pointer-%{version}
# Remove bundled modules
rm -rf inc/*
sed -i -e '/^inc\//d' MANIFEST

%build
perl Build.PL installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes LICENSE README.md
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 05 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-2
- Perl 5.20 rebuild

* Thu Sep 04 2014 Petr Pisar <ppisar@redhat.com> - 0.06-1
- 0.06 bump

* Wed Sep 03 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.05-2
- Perl 5.20 rebuild

* Tue Sep 02 2014 Petr Pisar <ppisar@redhat.com> - 0.05-1
- 0.05 bump

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Petr Pisar <ppisar@redhat.com> - 0.04-1
- 0.04 bump

* Mon Feb 03 2014 Petr Pisar <ppisar@redhat.com> - 0.03-1
- 0.03 bump

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 0.01-3
- Perl 5.18 rebuild
- return preference and tests fixed (CPAN RT#87314)

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 0.01-2
- Perl 5.18 rebuild

* Fri Apr 12 2013 Petr Pisar <ppisar@redhat.com> 0.01-1
- Specfile autogenerated by cpanspec 1.78.
